Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ObjectReferenceTemplateSeq_var Class Reference

`#include <ObjectReferenceTemplateC.h>`

List of all members.

## Public Methods
| ObjectReferenceTemplateSeq_var (void)
| ObjectReferenceTemplateSeq_var (ObjectReferenceTemplateSeq *)
| ObjectReferenceTemplateSeq_var (const ObjectReferenceTemplateSeq_var &)
| ~ObjectReferenceTemplateSeq_var (void)
ObjectReferenceTemplateSeq_var & | operator= (ObjectReferenceTemplateSeq *)
ObjectReferenceTemplateSeq_var & | operator= (const ObjectReferenceTemplateSeq_var &)
ObjectReferenceTemplateSeq * | operator-> (void)
const ObjectReferenceTemplateSeq * | operator-> (void) const
| operator const ObjectReferenceTemplateSeq & () const
| operator ObjectReferenceTemplateSeq & ()
| operator ObjectReferenceTemplateSeq & () const
| operator ObjectReferenceTemplateSeq *& ()
TAO_Valuetype_Manager< ObjectReferenceTemplate, ObjectReferenceTemplate_var > | operator[] (CORBA::ULong index)
const ObjectReferenceTemplateSeq & | in (void) const
ObjectReferenceTemplateSeq & | inout (void)
ObjectReferenceTemplateSeq *& | out (void)
ObjectReferenceTemplateSeq * | _retn (void)
ObjectReferenceTemplateSeq * | ptr (void) const
## Private Attributes
ObjectReferenceTemplateSeq * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE PortableInterceptor::ObjectReferenceTemplateSeq_var::ObjectReferenceTemplateSeq_var | ( | void |  | ) |

ACE_INLINE PortableInterceptor::ObjectReferenceTemplateSeq_var::ObjectReferenceTemplateSeq_var | ( | ObjectReferenceTemplateSeq * | p | ) |

PortableInterceptor::ObjectReferenceTemplateSeq_var::ObjectReferenceTemplateSeq_var | ( | const ObjectReferenceTemplateSeq_var & |  | ) |

ACE_INLINE PortableInterceptor::ObjectReferenceTemplateSeq_var::~ObjectReferenceTemplateSeq_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE::PortableInterceptor::ObjectReferenceTemplateSeq * PortableInterceptor::ObjectReferenceTemplateSeq_var::_retn | ( | void |  | ) |

ACE_INLINE const ::PortableInterceptor::ObjectReferenceTemplateSeq & PortableInterceptor::ObjectReferenceTemplateSeq_var::in | ( | void |  | ) | const

ACE_INLINE::PortableInterceptor::ObjectReferenceTemplateSeq & PortableInterceptor::ObjectReferenceTemplateSeq_var::inout | ( | void |  | ) |

PortableInterceptor::ObjectReferenceTemplateSeq_var::operator const ObjectReferenceTemplateSeq & | ( |  | ) | const

PortableInterceptor::ObjectReferenceTemplateSeq_var::operator ObjectReferenceTemplateSeq & | ( |  | ) | const

PortableInterceptor::ObjectReferenceTemplateSeq_var::operator ObjectReferenceTemplateSeq & | ( |  | ) |

PortableInterceptor::ObjectReferenceTemplateSeq_var::operator ObjectReferenceTemplateSeq *& | ( |  | ) |

ACE_INLINE const ::PortableInterceptor::ObjectReferenceTemplateSeq * PortableInterceptor::ObjectReferenceTemplateSeq_var::operator-> | ( | void |  | ) | const

ACE_INLINE::PortableInterceptor::ObjectReferenceTemplateSeq * PortableInterceptor::ObjectReferenceTemplateSeq_var::operator-> | ( | void |  | ) |

ObjectReferenceTemplateSeq_var& PortableInterceptor::ObjectReferenceTemplateSeq_var::operator= | ( | const ObjectReferenceTemplateSeq_var & |  | ) |

ACE_INLINE PortableInterceptor::ObjectReferenceTemplateSeq_var & PortableInterceptor::ObjectReferenceTemplateSeq_var::operator= | ( | ObjectReferenceTemplateSeq * | p | ) |

PortableInterceptor::ObjectReferenceTemplate_var PortableInterceptor::ObjectReferenceTemplateSeq_var::operator[] | ( | CORBA::ULong | index | ) |

ACE_INLINE::PortableInterceptor::ObjectReferenceTemplateSeq *& PortableInterceptor::ObjectReferenceTemplateSeq_var::out | ( | void |  | ) |

ACE_INLINE::PortableInterceptor::ObjectReferenceTemplateSeq * PortableInterceptor::ObjectReferenceTemplateSeq_var::ptr | ( | void |  | ) | const

## Member Data Documentation

ObjectReferenceTemplateSeq* PortableInterceptor::ObjectReferenceTemplateSeq_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ObjectReferenceTemplateC.h
- ObjectReferenceTemplateC.i